Get list of customers
curl --request GET \
--url https://app.getswipe.in/api/partner/v2/customer/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getswipe.in/api/partner/v2/customer/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getswipe.in/api/partner/v2/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"customers": [
{
"customer_id": "CUST-2",
"name": "Customer",
"phone": "1234567890",
"email": "john@doe.com",
"gstin": "",
"swipe_id": 1,
"developer_note": "This is a developer note"
}
],
"total_records": 10
}
}{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}Customers
Get list of customers
Lists your customers with their basic details.
GET
/
v2
/
customer
/
list
Get list of customers
curl --request GET \
--url https://app.getswipe.in/api/partner/v2/customer/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getswipe.in/api/partner/v2/customer/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getswipe.in/api/partner/v2/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"customers": [
{
"customer_id": "CUST-2",
"name": "Customer",
"phone": "1234567890",
"email": "john@doe.com",
"gstin": "",
"swipe_id": 1,
"developer_note": "This is a developer note"
}
],
"total_records": 10
}
}{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is an API key from the API Integration section of your dashboard. Keys are scoped to the company they are generated in — for testing, add a separate test company and generate the key there, so requests never touch your real books.
Query Parameters
Number of records to fetch(max 100), default : 25 customers will be sent in response
Page number

